{
  config
, lib
, pkgs
}:

let
  cfg = config.ptw.services.mako;
in {
  options.ptw.services.mako = {
    enable = lib.mkEnableOption "Enable and configure mako using HomeManager";
  };

  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [ mako ];
    
    home-manager.users."${config.ptw.system.singleUser}".programs.mako = {
      enable = true;
    };
  };
}
